// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__9E9A873C_AFAB_4340_BEFA_A2070662D36C__INCLUDED_)
#define AFX_MAINFRM_H__9E9A873C_AFAB_4340_BEFA_A2070662D36C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define MAX_TONES  1024 // tolik tonu si snad nikdo nezapamatuje
#define MAX_LIMIT2    9

class CMainFrame : public CFrameWnd
{
	
public:
	CMainFrame();
protected: 
	DECLARE_DYNAMIC(CMainFrame)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	void AddToneToMelody();
	void PlayMelody();
	void EndGame();
	void StartGame(int hid, bool mazat);
	void AddGame(int ID);
	void PlayIntro();
	void Pressed(int ID);
	void LightButton(int ID);
	void Init();
	virtual ~CMainFrame();

	int m_melody[MAX_TONES]; // cela pisnicka
	int m_valid;             // pocet platnych tonu
	int m_player;            // jaky ton ma zmacknout hrac

	bool m_playing;          // zda hraje zvuk

	bool m_ingame;  // je-li hrac ve hre;

	int  m_tmr1;    // 1 casovac - mimoherni
	int  m_tmr2;    // 2 casovac - herni

	int m_hid;  // id hry - 1, 0

	afx_msg void OnUpdate(CCmdUI* pCmdUI);


private:
	CBitmap m_plocha;
	CBitmap m_svetlo;
	CBitmap m_svetlom;
	CBitmap m_temp;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnHraNejlepvsledky();
	afx_msg void OnHraNov();
	afx_msg void OnHraNov2();
	afx_msg void OnHraOpakuj();
	afx_msg void OnHraPosledn();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__9E9A873C_AFAB_4340_BEFA_A2070662D36C__INCLUDED_)
